Subject: [dane] SMIMEA draft suggestion

From: Scott Rose <[email-masked]>
Date: Wed, 6 Nov 2013 20:39:31 -0800

Although I can't make the lunch meeting, there is other work going on at
NIST to add some functionality to SMIMEA that we would like to propose.

Attached is the (current) draft with added text.  In summary, the new
additions are:

- a naming convention to distinguish digital signature and encryption key
certs

- a field to flag "revoked", used to signal that a user's SMIME certs have
been revoked.  An example of that is included at the end.

- a field to indicate another certificate publication mechanism is in use
(e.g. Webfinger) and that the SMIMEA RR can be used to validate the cert.
 We're not entirely sure if that is useful, but something we kicked around
here based on other systems that are currently deployed.

Others from our division should be at the meeting, but I'll be on a plane.
 NIST would be willing to take over editorship of the SMIMEA draft if that
is desired - we just want to see this advanced.

Scott